get/v1/news/searchSearch the wall: source names (always) and cached headlines (warm sources only — search never triggers an outbound fetch).
curl -X GET "https://api.outception.com/v1/news/search?q=string" \
-H "Authorization: Bearer $OUTCEPTION_TOKEN" \
-H "Accept: application/json"Query parameters
qstring
required
Search query.
Response · 200
Successful Response
sourcesarray<SourceMeta>
required
idstring
required
namestring
required
colorstring
required
columnstring | null
typeenum | null
homestring | null
titlestring | null
descstring | null
intervalinteger
required
redirectstring | null
itemsarray<NewsSearchItem>
required
sourceIdstring
required
sourceNamestring
required
itemNewsItem
required
idstring
required
titlestring
required
urlstring
required
mobileUrlstring | null
pubDateinteger | null
extraNewsExtra | null
Errors
422Validation Error